From 3c37730e0b29604ab1251a8a3e0fe3fd78f45295 Mon Sep 17 00:00:00 2001
From: Slaven Rezic <slaven@rezic.de>
Date: Sat, 26 Sep 2015 22:02:13 +0200
Subject: [PATCH] use a working test URL

The www.example.org URL is non-existent or even not reachable, so use
a working one.

This fixes RT #94510.
---
 t/10_request.t | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/t/10_request.t b/t/10_request.t
index dde1f96..7f02983 100644
--- a/t/10_request.t
+++ b/t/10_request.t
@@ -7,6 +7,8 @@ my $tempdir = tempdir( CLEANUP => 1 );
 
 my $ua = LWP::UserAgent::WithCache->new({ cache_root => $tempdir });
 
+my $uri = 'http://search.cpan.org/favicon.ico';
+
 my $res;
 {
 $res  = HTTP::Response->parse(<<'EOF');
@@ -30,9 +32,8 @@ Client-Response-Num: 1
 /* end StyleCatcher imports */
 EOF
 
-my $uri = 'http://www.example.com/styles.css';
 $ua->set_cache($uri, $res);
-my $cached_res = $ua->get('http://www.example.com/styles.css');
+my $cached_res = $ua->get($uri);
 
 is ($cached_res->code, 200);
 }
@@ -57,9 +58,8 @@ Expires: Thr, 16 Jan 2038 03:14:06 GMT
 /* end StyleCatcher imports */
 EOF
 
-my $uri = 'http://www.example.com/styles.css';
 $ua->set_cache($uri, $res);
-my $cached_res = $ua->get('http://www.example.com/styles.css');
+my $cached_res = $ua->get($uri);
 
 is ($cached_res->code, 200);
 }
@@ -91,14 +91,13 @@ Last-Modified: Thr, 01 Jan 1970 00:00:00 GMT
 
 EOF
 
-my $uri = 'http://www.example.com/styles.css';
 $ua->set_cache($uri, $res);
 
 ## override request method to get not_modified_res
 no warnings 'redefine';
 local *LWP::UserAgent::request = sub {return $not_modified_res};
 
-my $cached_res = $ua->get('http://www.example.com/styles.css');
+my $cached_res = $ua->get($uri);
 
 is ($cached_res->code, 200);
 is ($cached_res->content, $res->content);
-- 
2.1.2

